#!/bin/bash

sudo curl https://sh.rustup.rs -sSf | sh

# Install glit
sudo apt install pkg-config libssl-dev cmake # dependencies for glit
cargo install -f glit

# Rust alternatives for common programs
sudo apt install exa fd-find
cargo install -f git-delta batcat

# Helix text editor
mkdir -p ~/Code/util
git clone https://github.com/helix-editor/helix ~/Code/util/helix
cargo install --path ~/Code/util/helix/helix-term
ln -s ~/Code/util/helix/runtime ~/.config/helix/runtime
